﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
Sub Class_Globals
	Private zipObj As JavaObject
End Sub

' Reduced set of constructiors and methods used in this application (jdLibraryMaker)
' See http://lingala.net/zip4j.html for full details and api

'Constructor Summary

'ZipFile(String zipFile) 'Creates a new ZipFile instance with the zip File at the location specified in zipFile.
Public Sub Initialize(filename As String)
	zipObj.InitializeNewInstance("net.lingala.zip4j.ZipFile",Array(filename))
End Sub

'Method Summary

'void	addFile(String fileToAdd) 'Adds input source File To the zip File with default zip parameters.
Public Sub addFile(fileToAdd As String)
	zipObj.RunMethod("addFile",Array(fileToAdd))
End Sub

'void	addFolder(File folderToAdd) 'Adds the folder in the given File object To the zip File with default zip parameters.
Public Sub addFolder(parent As String, child As String)
	Dim f As JavaObject
	f.InitializeNewInstance("java.io.File",Array(parent,child))
	zipObj.RunMethod("addFolder",Array(f))
End Sub

Public Sub getFileHeaders As List
	Return zipObj.RunMethod("getFileHeaders",Null)
End Sub

Public Sub getFileName(filename As String) As ZipFileHeader
	Dim l As List = getFileHeaders
	For Each o As Object In l
		Dim fh As ZipFileHeader
		fh.Initialize
		fh.Obj = o
		If fh.FileName=filename Then
			Return fh
		End If
	Next
	Return Null
End Sub

Public Sub getFileNames As List
	Dim l As List = getFileHeaders
	Dim fl As List
	fl.Initialize
	For Each o As Object In l
		Dim fh As ZipFileHeader
		fh.Initialize
		fh.Obj = o
		fl.Add(fh)
	Next
	Return fl
End Sub

'boolean	isValidZipFile()  Checks To see If the input zip File Is a valid zip File.
Public Sub isValidZipFile As Boolean
	Return zipObj.RunMethod("isValidZipFile",Null)
End Sub

'void	removeFile(String fileName) 'Removes the File provided in the input parameters from the zip File.
Public Sub removeFile(filename As String)
	zipObj.RunMethod("removeFile",Array(filename))
End Sub

Public Sub getObj As Object
	Return zipObj
End Sub