﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private ox,oy As Double
	Private returnValue As Boolean

	Private dialogPane As Pane
	Private Heading As Label
	Private Question As Label
	Private Comment As TextArea
	Private OKButton As Button
	Private CancelButton As Button
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize (Parent As Form)
	frm.Initialize("frm", 320dip, 200dip)
	frm.Title = "Choose color"
	frm.SetFormStyle("UNDECORATED")
	frm.RootPane.LoadLayout("jdDialogLayout")
	frm.SetOwner(Parent)
End Sub

Public Sub Show(HeadingText As String, QuestionText As String, CommentText As String,setOKButton As Boolean) As Boolean
	Heading.text = HeadingText
	Question.text = QuestionText
	Comment.text = CommentText
	If setOKButton Then OKButton.RequestFocus Else CancelButton.RequestFocus
	returnValue=False
	frm.ShowAndWait
	Return returnValue
End Sub

Private Sub OKButton_Click
	returnValue=True
	frm.Close
End Sub

Private Sub CancelButton_Click
	returnValue=False
	frm.Close
End Sub

Private Sub messageOKButton_Click
	returnValue=True
	frm.Close
End Sub

Private Sub ConfirmationPane_MouseDragged (EventData As MouseEvent)
	Dim jo As JavaObject = EventData
	frm.WindowLeft = jo.RunMethod("getScreenX", Null) - ox
	frm.WindowTop = jo.RunMethod("getScreenY", Null) - oy
End Sub

Private Sub ConfirmationPane_MousePressed (EventData As MouseEvent)
	ox = EventData.X
	oy = EventData.Y
End Sub
