﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private ox,oy As Double
	Private returnValue As Boolean

	Private editManifestPane As Pane
	Private manifestLabel As Label
	Private manifestTextArea As TextArea
	Private saveButton As Button
	Private cancelButton As Button
	Private manifestFolder As String
End Sub

Public Sub Initialize (Parent As Form,manifestFolderName As String) As Boolean
	frm.Initialize("frm", 600dip, 220dip)
	frm.SetFormStyle("UNDECORATED")
	frm.RootPane.LoadLayout("jdManifestLayout")
	frm.SetOwner(Parent)
	manifestFolder = manifestFolderName
	manifestLabel.Text = manifestFolder&".manifest.txt"
	manifestTextArea.Text=File.ReadString(manifestFolder,"manifest.txt")
	frm.ShowAndWait
	Return returnValue
End Sub

Private Sub saveButton_Click
	File.WriteString(manifestFolder,"manifest.txt",manifestTextArea.Text)
	returnValue=True
	frm.Close
End Sub

Private Sub CancelButton_Click
	returnValue=False
	frm.Close
End Sub

Private Sub editManifestPane_MouseDragged (EventData As MouseEvent)
	Dim jo As JavaObject = EventData
	frm.WindowLeft = jo.RunMethod("getScreenX", Null) - ox
	frm.WindowTop = jo.RunMethod("getScreenY", Null) - oy
End Sub

Private Sub editManifestPane_MousePressed (EventData As MouseEvent)
	ox = EventData.X
	oy = EventData.Y
End Sub
