﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private ox,oy As Double
	Private returnValue As Boolean

	Private newLibraryPane As Pane
	Private name As TextField
	Private Message As Label
	Private okButton As Button
	Private cancelButton As Button
	
	Private libraryFolder As String
	Private libraryName As String
	Private libraryType As String
End Sub

Public Sub Initialize (Parent As Form,libFolder As String,libType As String) As String
	libraryType = libType
	frm.Initialize("frm", 300dip, 160dip)
	frm.SetFormStyle("UNDECORATED")
	frm.RootPane.LoadLayout("jdNewLibraryLayout")
	frm.SetOwner(Parent)
	libraryFolder=libFolder
	frm.ShowAndWait
	Return libraryName
End Sub

Private Sub OKButton_Click
	libraryName = name.Text
	If libraryName<>"" Then
		If libraryName.EndsWith(libraryType)=False Then libraryName = libraryName&libraryType
		If File.Exists(libraryFolder,libraryName) Then
			Message.Text = "Library already exists, try again"
		Else
			frm.Close
		End If
	Else
		Message.Text = "Library name must be entered"
	End If
End Sub

Private Sub CancelButton_Click
	libraryName=""
	frm.Close
End Sub

Private Sub newLibraryPane_MouseDragged (EventData As MouseEvent)
	Dim jo As JavaObject = EventData
	frm.WindowLeft = jo.RunMethod("getScreenX", Null) - ox
	frm.WindowTop = jo.RunMethod("getScreenY", Null) - oy
End Sub

Private Sub newLibraryPane_MousePressed (EventData As MouseEvent)
	ox = EventData.X
	oy = EventData.Y	
End Sub